<template>
  <div class="feedback">
    <s-header :name="$t('user.feedback')" :noback="false"></s-header>
    <iframe height="100%" width="100%" :src="surveyUrl" frameborder="0" allowfullscreen></iframe>
  </div>
</template>

<script>
// 导入接口
import sHeader from "@/components/SimpleHeader";
import { onMounted, ref } from '@vue/runtime-core';
import { getLocal } from '@/common/js/utils';
export default {
  components: {
    sHeader
  },
  setup() {
    // const user = getLoginUser();
    const surveyUrl = ref('');
    let languageName = ref(getLocal("curLang"));
    // 刚进页面
    onMounted(() => {
      // 加载样式
      // styleUrl('feedback');
      console.log(languageName.value);
      if(languageName.value == 'zh') {
        surveyUrl.value = 'https://form.antdv.com/r/6533d89c645e0035';
      } else {
        surveyUrl.value = 'https://form.antdv.com/r/65acd89a687600a5';
      }
    });
  
    return {
      surveyUrl
    };
  },
};
</script>

<style lang="less" scoped>
</style>
